package com.ssj.service.weixin.story.service;

import java.util.List;

import com.ssj.bean.weixin.story.bean.StoryTaskPractice;
import com.ssj.framework.core.common.service.BaseService;


/** 
 * @author  ZhangCaibao 
 * @version 2018年3月21日 下午2:08:54 
 * 类说明 
 */
public interface StoryTaskPracticeService extends BaseService<StoryTaskPractice, String>{

	 
	 public void saveStoryTaskPractice(String storyTaskId,String userId);
	 /**
	  * 计算打卡的次数
	 * @param storyTaskId
	 * @param userId
	 * @return
	 * 创建人：ZhangCaibao 
	 * 2018年3月21日 下午2:26:46 
	 * @Integer
	  */
	 public Integer countPractice(String userId);
	 public Integer countPractice(String storyId,String userId);
	 
	 public List<Integer> getStoryPracticeDayNum(String storyId,String userId);
}
